export declare enum TokenParams {
    none = 0,
    name = 2,
    symbol = 4,
    decimals = 8,
    total_supply = 16,
    min_transfer = 32,
    max_transfer = 64,
    fee_divisor = 128,
    all = 254
}
export type TokenConfig = {
    approval_app: number;
    assets_info: Token[];
};
export type Token = {
    network: string;
    name: string;
    symbol: string;
    type: string;
    asset_id: number | undefined;
    bridge_vault_id: number | undefined;
    decimals: number;
    min_transfer: number | undefined;
    max_transfer: number | undefined;
    fee_divisor: number | undefined;
    total_supply: bigint;
};
export declare function initToken(options?: Partial<Token>): Token;
export declare class Tokens {
    defined: boolean;
    Token: Token;
    constructor(requiredParams?: TokenParams);
    static getConfig(rootPath: string, mode: string): TokenConfig;
    static getToken(config: TokenConfig, network: string, symbol: string): Token | undefined;
    static saveConfig(rootPath: string, mode: string, config: TokenConfig): void;
}
